Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5116)
@@ -72,5 +72,5 @@
   SUBROUTINE guide_init
 
-    use netcdf, only: nf90_noerr
+    use netcdf, ONLY: nf90_noerr
     USE control_mod, ONLY: day_step
     USE serre_mod, ONLY: grossismx
@@ -127,5 +127,5 @@
     IF (iguide_sav>0) THEN
        iguide_sav=day_step/iguide_sav
-    ELSE if (iguide_sav == 0) then
+    ELSE if (iguide_sav == 0) THEN
        iguide_sav = huge(0)
     ELSE
@@ -173,6 +173,6 @@
 ! ---------------------------------------------
     ncidpl=-99
-    if (guide_plevs==1) then
-       if (ncidpl==-99) then
+    if (guide_plevs==1) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -181,6 +181,6 @@
           endif
        endif
-    elseif (guide_plevs==2) then
-       if (ncidpl==-99) then
+    elseif (guide_plevs==2) THEN
+       if (ncidpl==-99) THEN
           rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
           if (rcod/=nf90_noerr) THEN
@@ -190,6 +190,6 @@
        endif
 
-    elseif (guide_u) then
-           if (ncidpl==-99) then
+    elseif (guide_u) THEN
+           if (ncidpl==-99) THEN
                rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
                if (rcod/=nf90_noerr) THEN
@@ -199,6 +199,6 @@
            endif
 
-    elseif (guide_v) then
-           if (ncidpl==-99) then
+    elseif (guide_v) THEN
+           if (ncidpl==-99) THEN
                rcod=nf90_open('v.nc',nf90_nowrite,ncidpl)
                if (rcod/=nf90_noerr) THEN
@@ -207,6 +207,6 @@
                endif
            endif
-    elseif (guide_T) then
-           if (ncidpl==-99) then
+    elseif (guide_T) THEN
+           if (ncidpl==-99) THEN
                rcod=nf90_open('T.nc',nf90_nowrite,ncidpl)
                if (rcod/=nf90_noerr) THEN
@@ -215,6 +215,6 @@
                endif
            endif
-    elseif (guide_Q) then
-           if (ncidpl==-99) then
+    elseif (guide_Q) THEN
+           if (ncidpl==-99) THEN
                rcod=nf90_open('hur.nc',nf90_nowrite, ncidpl)
                if (rcod/=nf90_noerr) THEN
@@ -232,5 +232,5 @@
     ENDIF
     error=nf90_inquire_dimension(ncidpl,rid,len=nlevnc)
-    write(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc 
+    WRITE(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc
     rcod = nf90_close(ncidpl)
 
@@ -406,5 +406,5 @@
         CALL tau2alpha(1,iip1,jjp1,factt,tau_min_Q,tau_max_Q,alpha_Q)
 ! correction de rappel dans couche limite
-        if (guide_BL) then
+        if (guide_BL) THEN
              alpha_pcor(:)=1.
         else
@@ -453,5 +453,5 @@
       IF (reste==0.) THEN
           IF (itau_test==itau) THEN
-            write(lunout,*)trim(modname)//' second pass in advreel at itau=',&
+            WRITE(lunout,*)trim(modname)//' second pass in advreel at itau=',&
             itau
               abort_message='stopped'
@@ -466,5 +466,5 @@
               step_rea=step_rea+1
               itau_test=itau
-              write(*,*)trim(modname)//' Reading nudging files, step ',&
+              WRITE(*,*)trim(modname)//' Reading nudging files, step ',&
                      step_rea,'after ',count_no_rea,' skips'
               IF (guide_2D) THEN
@@ -502,5 +502,5 @@
       ! compute pressures at layer interfaces
       CALL pression(ip1jmp1,ap,bp,ps,p)
-      if (pressure_exner) then
+      if (pressure_exner) THEN
         CALL exner_hyb(ip1jmp1,ps,p,pks,pk)
       else
@@ -515,6 +515,6 @@
     ENDIF
     
-    if (guide_u) then
-        if (guide_add) then
+    if (guide_u) THEN
+        if (guide_add) THEN
            f_add=(1.-tau)*ugui1+tau*ugui2
         else
@@ -529,6 +529,6 @@
     endif
 
-    if (guide_T) then
-        if (guide_add) then
+    if (guide_T) THEN
+        if (guide_add) THEN
            f_add=(1.-tau)*tgui1+tau*tgui2
         else
@@ -541,6 +541,6 @@
     endif
 
-    if (guide_P) then
-        if (guide_add) then
+    if (guide_P) THEN
+        if (guide_add) THEN
            f_add(1:ip1jmp1,1)=(1.-tau)*psgui1+tau*psgui2
         else
@@ -555,6 +555,6 @@
     endif
 
-    if (guide_Q) then
-        if (guide_add) then
+    if (guide_Q) THEN
+        if (guide_add) THEN
            f_add=(1.-tau)*qgui1+tau*qgui2
         else
@@ -567,6 +567,6 @@
     endif
 
-    if (guide_v) then
-        if (guide_add) then
+    if (guide_v) THEN
+        if (guide_add) THEN
            f_add(1:ip1jm,:)=(1.-tau)*vgui1+tau*vgui2
         else
@@ -670,8 +670,8 @@
   SUBROUTINE guide_interp(psi,teta)
   
-  use exner_hyb_m, only: exner_hyb
-  use exner_milieu_m, only: exner_milieu
-  use comconst_mod, only: kappa, cpp
-  use comvert_mod, only: preff, pressure_exner, bp, ap
+  use exner_hyb_m, ONLY: exner_hyb
+  use exner_milieu_m, ONLY: exner_milieu
+  use comconst_mod, ONLY: kappa, cpp
+  use comvert_mod, ONLY: preff, pressure_exner, bp, ap
   IMPLICIT NONE
 
@@ -705,9 +705,9 @@
   CHARACTER(LEN=20),PARAMETER :: modname="guide_interp"
   
-    write(*,*)trim(modname)//': interpolate nudging variables'
+    WRITE(*,*)trim(modname)//': interpolate nudging variables'
 ! -----------------------------------------------------------------
 ! Calcul des niveaux de pression champs guidage
 ! -----------------------------------------------------------------
-IF (guide_modele) then
+IF (guide_modele) THEN
     do i=1,iip1
         do j=1,jjp1
@@ -729,25 +729,25 @@
 
 END IF
-    if (first) then
+    if (first) THEN
         first=.FALSE.
-        write(*,*)trim(modname)//' : check vertical level order'
-        write(*,*)trim(modname)//' LMDZ :'
+        WRITE(*,*)trim(modname)//' : check vertical level order'
+        WRITE(*,*)trim(modname)//' LMDZ :'
         do l=1,llm
-          write(*,*)trim(modname)//' PL(',l,')=',(ap(l)+ap(l+1))/2. &
+          WRITE(*,*)trim(modname)//' PL(',l,')=',(ap(l)+ap(l+1))/2. &
                   +psi(1,jjp1)*(bp(l)+bp(l+1))/2.
         enddo
-        write(*,*)trim(modname)//' nudging file :'
+        WRITE(*,*)trim(modname)//' nudging file :'
         do l=1,nlevnc
-          write(*,*)trim(modname)//' PL(',l,')=',plnc2(1,1,l)
+          WRITE(*,*)trim(modname)//' PL(',l,')=',plnc2(1,1,l)
         enddo
-        write(*,*)trim(modname)//' invert ordering: invert_p=',invert_p
-        if (guide_u) then
+        WRITE(*,*)trim(modname)//' invert ordering: invert_p=',invert_p
+        if (guide_u) THEN
             do l=1,nlevnc
-              write(*,*)trim(modname)//' U(',l,')=',unat2(1,1,l)
+              WRITE(*,*)trim(modname)//' U(',l,')=',unat2(1,1,l)
             enddo
         endif
-        if (guide_T) then
+        if (guide_T) THEN
             do l=1,nlevnc
-              write(*,*)trim(modname)//' T(',l,')=',tnat2(1,1,l)
+              WRITE(*,*)trim(modname)//' T(',l,')=',tnat2(1,1,l)
             enddo
         endif
@@ -758,5 +758,5 @@
 ! -----------------------------------------------------------------
     CALL pression( ip1jmp1, ap, bp, psi, p )
-    if (pressure_exner) then
+    if (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1,psi,p,pks,pk)
     else
@@ -803,5 +803,5 @@
 ! Conversion en variables gcm (ucov, vcov...)
 ! -----------------------------------------------------------------
-    if (guide_P) then
+    if (guide_P) THEN
         do j=1,jjp1
             do i=1,iim
@@ -921,6 +921,6 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
-    use comconst_mod, only: pi
-    use serre_mod, only: clon, clat, grossismx, grossismy
+    use comconst_mod, ONLY: pi
+    use serre_mod, ONLY: clon, clat, grossismx, grossismy
     
     IMPLICIT NONE
@@ -948,5 +948,5 @@
     real alphamin,alphamax,xi
     integer i,j,ilon,ilat
-    character(len=20),parameter :: modname="tau2alpha"
+    CHARACTER(LEN=20),parameter :: modname="tau2alpha"
     CHARACTER (len = 80)   :: abort_message
 
@@ -962,11 +962,11 @@
             do j=1,pjm
                 do i=1,pim
-                    if (typ==2) then
+                    if (typ==2) THEN
                        zlat=rlatu(j)*180./pi
                        zlon=rlonu(i)*180./pi
-                    elseif (typ==1) then
+                    elseif (typ==1) THEN
                        zlat=rlatu(j)*180./pi
                        zlon=rlonv(i)*180./pi
-                    elseif (typ==3) then
+                    elseif (typ==3) THEN
                        zlat=rlatv(j)*180./pi
                        zlon=rlonv(i)*180./pi
@@ -1037,21 +1037,21 @@
             enddo
             ! Calcul de gamma
-            if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) then
-              write(*,*)trim(modname)//' ATTENTION modele peu zoome'
-              write(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
+            if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
+              WRITE(*,*)trim(modname)//' ATTENTION modele peu zoome'
+              WRITE(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
               gamma=0.
             else
               gamma=(dxdy_max-2.*dxdy_min)/(dxdy_max-dxdy_min)
-              write(*,*)trim(modname)//' gamma=',gamma
-              if (gamma<1.e-5) then
-                write(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
+              WRITE(*,*)trim(modname)//' gamma=',gamma
+              if (gamma<1.e-5) THEN
+                WRITE(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
                 abort_message='stopped'
                 CALL abort_gcm(modname,abort_message,1)
               endif
               gamma=log(0.5)/log(gamma)
-              if (gamma4) then 
+              if (gamma4) THEN
                 gamma=min(gamma,4.)
               endif
-              write(*,*)trim(modname)//' gamma=',gamma
+              WRITE(*,*)trim(modname)//' gamma=',gamma
             endif
         ENDIF !first
@@ -1059,15 +1059,15 @@
         do j=1,pjm
             do i=1,pim
-                if (typ==1) then
+                if (typ==1) THEN
                    dxdy_=dxdys(i,j)
                    zlat=rlatu(j)*180./pi
-                elseif (typ==2) then
+                elseif (typ==2) THEN
                    dxdy_=dxdyu(i,j)
                    zlat=rlatu(j)*180./pi
-                elseif (typ==3) then
+                elseif (typ==3) THEN
                    dxdy_=dxdyv(i,j)
                    zlat=rlatv(j)*180./pi
                 endif
-                if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) then
+                if (abs(grossismx-1.)<0.1.or.abs(grossismy-1.)<0.1) THEN
                 ! pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
                     alpha(i,j)=alphamin
@@ -1075,5 +1075,5 @@
                     xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
                     xi=min(xi,1.)
-                    if(lat_min_g<=zlat .and. zlat<=lat_max_g) then
+                    IF(lat_min_g<=zlat .and. zlat<=lat_max_g) THEN
                         alpha(i,j)=xi*alphamin+(1.-xi)*alphamax
                     else
@@ -1113,10 +1113,10 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) then
+    if (first) THEN
          ncidpl=-99
-         write(*,*) trim(modname)//': opening nudging files '
+         WRITE(*,*) trim(modname)//': opening nudging files '
 ! Niveaux de pression si non constants
-         if (guide_plevs==1) then
-             write(*,*) trim(modname)//' Reading nudging on model levels'
+         if (guide_plevs==1) THEN
+             WRITE(*,*) trim(modname)//' Reading nudging on model levels'
              rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
              IF (rcode/=nf90_noerr) THEN
@@ -1134,9 +1134,9 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidpl,varidap',ncidpl,varidap
+             WRITE(*,*) trim(modname)//' ncidpl,varidap',ncidpl,varidap
          endif
 
 ! Pression si guidage sur niveaux P variables
-         if (guide_plevs==2) then
+         if (guide_plevs==2) THEN
              rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
              IF (rcode/=nf90_noerr) THEN
@@ -1149,10 +1149,10 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
+             WRITE(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
              if (ncidpl==-99) ncidpl=ncidp
          endif
 
 ! Vent zonal
-         if (guide_u) then
+         if (guide_u) THEN
              rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
              IF (rcode/=nf90_noerr) THEN
@@ -1165,5 +1165,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
+             WRITE(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
              if (ncidpl==-99) ncidpl=ncidu
 
@@ -1185,5 +1185,5 @@
 
 ! Vent meridien
-         if (guide_v) then
+         if (guide_v) THEN
              rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
              IF (rcode/=nf90_noerr) THEN
@@ -1196,5 +1196,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
+             WRITE(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
              if (ncidpl==-99) ncidpl=ncidv
              
@@ -1218,5 +1218,5 @@
 
 ! Temperature
-         if (guide_T) then
+         if (guide_T) THEN
              rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
              IF (rcode/=nf90_noerr) THEN
@@ -1229,5 +1229,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
+             WRITE(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
              if (ncidpl==-99) ncidpl=ncidt
 
@@ -1249,5 +1249,5 @@
 
 ! Humidite
-         if (guide_Q) then
+         if (guide_Q) THEN
              rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
              IF (rcode/=nf90_noerr) THEN
@@ -1260,5 +1260,5 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
+             WRITE(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
              if (ncidpl==-99) ncidpl=ncidQ
 
@@ -1280,5 +1280,5 @@
 
 ! Pression de surface
-         if ((guide_P).OR.(guide_modele)) then
+         if ((guide_P).OR.(guide_modele)) THEN
              rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
              IF (rcode/=nf90_noerr) THEN
@@ -1291,14 +1291,14 @@
               CALL abort_gcm(modname,abort_message,1)
              ENDIF
-             write(*,*) trim(modname)//' ncidps,varidps',ncidps,varidps
+             WRITE(*,*) trim(modname)//' ncidps,varidps',ncidps,varidps
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) then
+         if (guide_plevs==0) THEN
               rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
               IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-              write(*,*) trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
+              WRITE(*,*) trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         if (guide_plevs==1) then
+         if (guide_plevs==1) THEN
              status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
              status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
@@ -1328,5 +1328,5 @@
 
 ! Pression 
-     if (guide_plevs==2) then
+     if (guide_plevs==2) THEN
          status=nf90_get_var(ncidp,varidp,pnat2,start,count)
          IF (invert_y) THEN
@@ -1338,5 +1338,5 @@
 
 !  Vent zonal
-     if (guide_u) then
+     if (guide_u) THEN
          status=nf90_get_var(ncidu,varidu,unat2,start,count)
          IF (invert_y) THEN
@@ -1346,5 +1346,5 @@
 
 !  Temperature
-     if (guide_T) then
+     if (guide_T) THEN
          status=nf90_get_var(ncidt,varidt,tnat2,start,count)
          IF (invert_y) THEN
@@ -1354,5 +1354,5 @@
 
 !  Humidite
-     if (guide_Q) then
+     if (guide_Q) THEN
          status=nf90_get_var(ncidQ,varidQ,qnat2,start,count)
          IF (invert_y) THEN
@@ -1363,5 +1363,5 @@
 
 !  Vent meridien
-     if (guide_v) then
+     if (guide_v) THEN
          count(2)=jjm
          status=nf90_get_var(ncidv,varidv,vnat2,start,count)
@@ -1372,5 +1372,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_modele))  then
+     if ((guide_P).OR.(guide_modele))  THEN
          start(3)=timestep
          start(4)=0
@@ -1413,10 +1413,10 @@
 ! Premier appel: initialisation de la lecture des fichiers
 ! -----------------------------------------------------------------
-    if (first) then
+    if (first) THEN
          ncidpl=-99
-         write(*,*)trim(modname)//' : opening nudging files '
+         WRITE(*,*)trim(modname)//' : opening nudging files '
 ! Ap et Bp si niveaux de pression hybrides
-         if (guide_plevs==1) then
-           write(*,*)trim(modname)//' Reading nudging on model levels'
+         if (guide_plevs==1) THEN
+           WRITE(*,*)trim(modname)//' Reading nudging on model levels'
            rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
            IF (rcode/=nf90_noerr) THEN
@@ -1434,8 +1434,8 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//'ncidpl,varidap',ncidpl,varidap
+           WRITE(*,*)trim(modname)//'ncidpl,varidap',ncidpl,varidap
          endif
 ! Pression
-         if (guide_plevs==2) then
+         if (guide_plevs==2) THEN
            rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
            IF (rcode/=nf90_noerr) THEN
@@ -1448,9 +1448,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
+           WRITE(*,*)trim(modname)//' ncidp,varidp',ncidp,varidp
            if (ncidpl==-99) ncidpl=ncidp
          endif
 ! Vent zonal
-         if (guide_u) then
+         if (guide_u) THEN
            rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
            IF (rcode/=nf90_noerr) THEN
@@ -1463,9 +1463,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
+           WRITE(*,*)trim(modname)//' ncidu,varidu',ncidu,varidu
            if (ncidpl==-99) ncidpl=ncidu
          endif
 ! Vent meridien
-         if (guide_v) then
+         if (guide_v) THEN
            rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
            IF (rcode/=nf90_noerr) THEN
@@ -1478,9 +1478,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
+           WRITE(*,*)trim(modname)//' ncidv,varidv',ncidv,varidv
            if (ncidpl==-99) ncidpl=ncidv
          endif
 ! Temperature
-         if (guide_T) then
+         if (guide_T) THEN
            rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
            IF (rcode/=nf90_noerr) THEN
@@ -1493,9 +1493,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
+           WRITE(*,*)trim(modname)//' ncidT,varidT',ncidt,varidt
            if (ncidpl==-99) ncidpl=ncidt
          endif
 ! Humidite
-         if (guide_Q) then
+         if (guide_Q) THEN
            rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
            IF (rcode/=nf90_noerr) THEN
@@ -1508,9 +1508,9 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
+           WRITE(*,*)trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
            if (ncidpl==-99) ncidpl=ncidQ
          endif
 ! Pression de surface
-         if ((guide_P).OR.(guide_modele)) then
+         if ((guide_P).OR.(guide_modele)) THEN
            rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
            IF (rcode/=nf90_noerr) THEN
@@ -1523,14 +1523,14 @@
              CALL abort_gcm(modname,abort_message,1)
            ENDIF
-           write(*,*)trim(modname)//' ncidps,varidps',ncidps,varidps
+           WRITE(*,*)trim(modname)//' ncidps,varidps',ncidps,varidps
          endif
 ! Coordonnee verticale
-         if (guide_plevs==0) then
+         if (guide_plevs==0) THEN
            rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
            IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-           write(*,*)trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
+           WRITE(*,*)trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
          endif
 ! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         if (guide_plevs==1) then
+         if (guide_plevs==1) THEN
              status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
              status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
@@ -1559,5 +1559,5 @@
 
 !  Pression
-     if (guide_plevs==2) then
+     if (guide_plevs==2) THEN
          status=nf90_get_var(ncidp,varidp,zu,start,count)
          DO i=1,iip1
@@ -1572,5 +1572,5 @@
      endif
 !  Vent zonal
-     if (guide_u) then
+     if (guide_u) THEN
          status=nf90_get_var(ncidu,varidu,zu,start,count)
          DO i=1,iip1
@@ -1585,5 +1585,5 @@
 
 !  Temperature
-     if (guide_T) then
+     if (guide_T) THEN
          status=nf90_get_var(ncidt,varidt,zu,start,count)
          DO i=1,iip1
@@ -1598,5 +1598,5 @@
 
 !  Humidite
-     if (guide_Q) then
+     if (guide_Q) THEN
          status=nf90_get_var(ncidQ,varidQ,zu,start,count)
          DO i=1,iip1
@@ -1611,5 +1611,5 @@
 
 !  Vent meridien
-     if (guide_v) then
+     if (guide_v) THEN
          count(2)=jjm
          status=nf90_get_var(ncidv,varidv,zv,start,count)
@@ -1625,5 +1625,5 @@
 
 !  Pression de surface
-     if ((guide_P).OR.(guide_plevs==1))  then
+     if ((guide_P).OR.(guide_plevs==1))  THEN
          start(3)=timestep
          start(4)=0
@@ -1674,5 +1674,5 @@
     CHARACTER(LEN=20),PARAMETER :: modname="guide_out"
 
-    write(*,*)trim(modname)//': output timestep',timestep,'var ',varname
+    WRITE(*,*)trim(modname)//': output timestep',timestep,'var ',varname
     IF (timestep==0) THEN
 ! ----------------------------------------------
@@ -1804,5 +1804,5 @@
     do l=1,nl
         do i=2,iim-1
-            if(abs(x(i,l))>1.e10) then
+            IF(abs(x(i,l))>1.e10) THEN
                zz=0.5*(x(i-1,l)+x(i+1,l))
               PRINT*,'correction ',i,l,x(i,l),zz
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5116)
@@ -7,6 +7,6 @@
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, getKey, isoName
   USE control_mod, ONLY: day_step,planet_type
-  use exner_hyb_m, only: exner_hyb
-  use exner_milieu_m, only: exner_milieu
+  use exner_hyb_m, ONLY: exner_hyb
+  use exner_milieu_m, ONLY: exner_milieu
   USE IOIPSL, ONLY: getin
   USE Write_Field
@@ -60,5 +60,5 @@
   INTEGER i,j,l,lsup,ij, iq, iName, iPhase, iqParent
 
-  integer :: nid_relief,varid,ierr
+  INTEGER :: nid_relief,varid,ierr
   real, dimension(iip1,jjp1) :: relief
 
@@ -75,12 +75,12 @@
   LOGICAL,PARAMETER :: tnat1=.TRUE.
   
-  character(len=*),parameter :: modname="iniacademic"
-  character(len=80) :: abort_message
+  CHARACTER(LEN=*),parameter :: modname="iniacademic"
+  CHARACTER(LEN=80) :: abort_message
 
   ! Sanity check: verify that options selected by user are not incompatible
-  if ((iflag_phys==1).and. .not. read_start) then
-    write(lunout,*) trim(modname)," error: if read_start is set to ", &
+  if ((iflag_phys==1).and. .not. read_start) THEN
+    WRITE(lunout,*) trim(modname)," error: if read_start is set to ", &
     " false then iflag_phys should not be 1"
-    write(lunout,*) "You most likely want an aquaplanet initialisation", &
+    WRITE(lunout,*) "You most likely want an aquaplanet initialisation", &
     " (iflag_phys >= 100)"
     CALL abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.FALSE.",1)
@@ -109,5 +109,5 @@
   ang0       = 0.
 
-  if (llm == 1) then
+  if (llm == 1) THEN
      ! specific initializations for the shallow water case
      kappa=1
@@ -164,5 +164,5 @@
      CALL pression ( ip1jmp1, ap, bp, ps, p       )
 
-     if (pressure_exner) then
+     if (pressure_exner) THEN
        CALL exner_hyb( ip1jmp1, ps, p, pks, pk)
      else
@@ -172,7 +172,7 @@
   ENDIF
 
-  if (llm == 1) then
+  if (llm == 1) THEN
      ! initialize fields for the shallow water case, if required
-     if (.not.read_start) then
+     if (.not.read_start) THEN
         phis(:)=0.
         q(:,:,:)=0
@@ -181,5 +181,5 @@
   endif
 
-  academic_case: if (iflag_phys >= 2) then
+  academic_case: if (iflag_phys >= 2) THEN
      ! initializations
 
@@ -249,5 +249,5 @@
            tetajl(j,l)=teta0-delt_y*ddsin*ddsin+eps*ddsin &
                 -delt_z*(1.-ddsin*ddsin)*log(zsig)
-           if (planet_type=="giant") then
+           if (planet_type=="giant") THEN
              tetajl(j,l)=teta0+(delt_y*                   &
                 ((sin(rlatu(j)*3.14159*eps+0.0001))**2)   &
@@ -293,5 +293,5 @@
 
         ! winds
-        if (ok_geost) then
+        if (ok_geost) THEN
            CALL ugeostr(phi,ucov)
         else
@@ -301,5 +301,5 @@
 
         ! bulk initialization of tracers
-        if (planet_type=="earth") then
+        if (planet_type=="earth") THEN
            ! Earth: first two tracers will be water
            do iq=1,nqtot
@@ -315,8 +315,8 @@
               iqParent = tracers(iq)%iqParent
               IF(tracers(iq)%iso_iZone == 0) THEN
-                 if (tnat1) then
+                 if (tnat1) THEN
                          tnat=1.0
                          alpha_ideal=1.0
-                         write(*,*) 'Attention dans iniacademic: alpha_ideal=1'
+                         WRITE(*,*) 'Attention dans iniacademic: alpha_ideal=1'
                  else
                     IF(getKey('tnat', tnat, isoName(iName)) .OR. getKey('alpha', alpha_ideal, isoName(iName))) &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5116)
@@ -32,17 +32,17 @@
   !  """""""""
   ! INPUT
-  integer :: imo, jmo ! dimensions ancienne grille
-  integer :: imn, jmn  ! dimensions nouvelle grille
-  integer :: kllm ! taille du tableau des intersections
-  real :: rlonuo(imo + 1)     !  Latitude et
-  real :: rlatvo(jmo)       !  longitude des
-  real :: rlonun(imn + 1)     !  bord des
-  real :: rlatvn(jmn)     !  cases "scalaires" (input)
+  INTEGER :: imo, jmo ! dimensions ancienne grille
+  INTEGER :: imn, jmn  ! dimensions nouvelle grille
+  INTEGER :: kllm ! taille du tableau des intersections
+  REAL :: rlonuo(imo + 1)     !  Latitude et
+  REAL :: rlatvo(jmo)       !  longitude des
+  REAL :: rlonun(imn + 1)     !  bord des
+  REAL :: rlatvn(jmn)     !  cases "scalaires" (input)
 
   ! OUTPUT
-  integer :: ktotal ! nombre totale d'intersections reperees
-  integer :: iik(kllm), jjk(kllm), jk(kllm), ik(kllm)
-  real :: intersec(kllm)  ! surface des intersections (m2)
-  real :: airen (imn + 1, jmn + 1) ! aire dans la nouvelle grille
+  INTEGER :: ktotal ! nombre totale d'intersections reperees
+  INTEGER :: iik(kllm), jjk(kllm), jk(kllm), ik(kllm)
+  REAL :: intersec(kllm)  ! surface des intersections (m2)
+  REAL :: airen (imn + 1, jmn + 1) ! aire dans la nouvelle grille
 
 
@@ -51,9 +51,9 @@
   ! Autres variables
   ! """"""""""""""""
-  integer :: i, j, ii, jj, k
-  real :: a(imo + 1), b(imo + 1), c(jmo + 1), d(jmo + 1)
-  real :: an(imn + 1), bn(imn + 1), cn(jmn + 1), dn(jmn + 1)
-  real :: aa, bb, cc, dd
-  real :: pi
+  INTEGER :: i, j, ii, jj, k
+  REAL :: a(imo + 1), b(imo + 1), c(jmo + 1), d(jmo + 1)
+  REAL :: an(imn + 1), bn(imn + 1), cn(jmn + 1), dn(jmn + 1)
+  REAL :: aa, bb, cc, dd
+  REAL :: pi
 
   pi = 2. * ASIN(1.)
@@ -116,5 +116,5 @@
   do jj = 1, jmn + 1
     do j = 1, jmo + 1
-      if((cn(jj)<d(j)).and.(dn(jj)>c(j)))then
+      if((cn(jj)<d(j)).and.(dn(jj)>c(j)))THEN
         do ii = 1, imn + 1
           do i = 1, imo + 1
@@ -124,5 +124,5 @@
                     .or. ((an(ii)<b(i) + 2 * pi).and.(bn(ii)>a(i) + 2 * pi) &
                             .and.(a(i) + 2 * pi>pi)) &
-                    )then
+                    )THEN
               ktotal = ktotal + 1
               iik(ktotal) = ii
@@ -135,10 +135,10 @@
               if (cc< c(j))cc = c(j)
               if((an(ii)<b(i) - 2 * pi).and. &
-                      (bn(ii)>a(i) - 2 * pi)) then
+                      (bn(ii)>a(i) - 2 * pi)) THEN
                 bb = min(b(i) - 2 * pi, bn(ii))
                 aa = an(ii)
                 if (aa<a(i) - 2 * pi) aa = a(i) - 2 * pi
               else if((an(ii)<b(i) + 2 * pi).and. &
-                      (bn(ii)>a(i) + 2 * pi)) then
+                      (bn(ii)>a(i) + 2 * pi)) THEN
                 bb = min(b(i) + 2 * pi, bn(ii))
                 aa = an(ii)
@@ -165,12 +165,12 @@
   !  i = ik(k)
   !  j = jk(k)
-  !  if ((ii.eq.10).and.(jj.eq.10).and.(i.eq.10).and.(j.eq.10))then
-  !  if (jj.eq.2.and.(ii.eq.1))then
-  !      write(*,*) '**************** jj=',jj,'ii=',ii
-  !      write(*,*) 'i,j =',i,j
-  !      write(*,*) 'an,bn,cn,dn', an(ii), bn(ii), cn(jj),dn(jj)
-  !      write(*,*) 'a,b,c,d', a(i), b(i), c(j),d(j)
-  !      write(*,*) 'intersec(k)',intersec(k)
-  !      write(*,*) 'airen(ii,jj)=',airen(ii,jj)
+  !  if ((ii.eq.10).and.(jj.eq.10).and.(i.eq.10).and.(j.eq.10))THEN
+  !  if (jj.eq.2.and.(ii.eq.1))THEN
+  !      WRITE(*,*) '**************** jj=',jj,'ii=',ii
+  !      WRITE(*,*) 'i,j =',i,j
+  !      WRITE(*,*) 'an,bn,cn,dn', an(ii), bn(ii), cn(jj),dn(jj)
+  !      WRITE(*,*) 'a,b,c,d', a(i), b(i), c(j),d(j)
+  !      WRITE(*,*) 'intersec(k)',intersec(k)
+  !      WRITE(*,*) 'airen(ii,jj)=',airen(ii,jj)
   !  end if
   ! END DO
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5116)
@@ -7,7 +7,7 @@
 
   use control_mod, ONLY: planet_type
-  use comconst_mod, only: pi
+  use comconst_mod, ONLY: pi
   USE logic_mod, ONLY: leapf
-  use comvert_mod, only: ap, bp
+  use comvert_mod, ONLY: ap, bp
   USE temps_mod, ONLY: dt
 
@@ -98,10 +98,10 @@
   DO ij = 1, ip1jmp1
     IF(ps(ij)<0.) THEN
-      write(lunout, *) "integrd: negative surface pressure ", ps(ij)
-      write(lunout, *) " at node ij =", ij
+      WRITE(lunout, *) "integrd: negative surface pressure ", ps(ij)
+      WRITE(lunout, *) " at node ij =", ij
       ! since ij=j+(i-1)*jjp1 , we have
       j = modulo(ij, jjp1)
       i = 1 + (ij - j) / jjp1
-      write(lunout, *) " lon = ", rlonv(i) * 180. / pi, " deg", &
+      WRITE(lunout, *) " lon = ", rlonv(i) * 180. / pi, " deg", &
               " lat = ", rlatu(j) * 180. / pi, " deg"
       CALL abort_gcm("integrd", "", 1)
@@ -203,5 +203,5 @@
   !$$$      ENDIF
 
-  if (planet_type=="earth") then
+  if (planet_type=="earth") THEN
     ! Earth-specific treatment of first 2 tracers (water)
     DO l = 1, llm
